import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 路由页面骨架
class FScaffold extends Scaffold implements FWidget {
  /// 路由页面骨架
  ///
  /// [appBar] 头部导航栏
  ///
  /// [body] 主体
  ///
  /// [backgroundColor] 背景色
  const FScaffold({
    Key? key,
    PreferredSizeWidget? appBar,
    FWidget? body,
    FWidget? floatingActionButton,
    FloatingActionButtonLocation? floatingActionButtonLocation,
    Color? backgroundColor,
  }) : super(
          key: key,
          appBar: appBar,
          body: body,
          floatingActionButton: floatingActionButton,
          floatingActionButtonLocation: floatingActionButtonLocation,
          backgroundColor: backgroundColor,
        );
}
