// ignore: avoid_web_libraries_in_flutter
import 'dart:html' show window;
import 'package:fis_common/index.dart';

import 'sizer.dart';

class SizerNative extends Sizer {
  @override
  bool get isMobile => throw UnimplementedError();

  @override
  void beginListenResize() {}
}

class SizerWeb extends Sizer {
  @override
  bool get isMobile {
    if (FPlatform.isWindows) return false;
    return size.width < judgment.minDesktopWidth;
  }

  @override
  void beginListenResize() {
    window.onResize.listen((event) {
      handleResize();
    });
  }
}
