import 'package:fis_ui/define.dart';
import 'package:flutter/widgets.dart';

/// 图标组件
class FIcon extends Icon implements FWidget {
  /// 图标组件
  ///
  /// [icon] 图标字体数据
  ///
  /// [color] 颜色
  ///
  /// [size] 尺寸
  const FIcon(
    this.icon, {
    Key? key,
    this.color,
    this.size,
  }) : super(icon);

  final IconData icon;
  final Color? color;
  final double? size;
}
