import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

class FTextField extends TextField implements FWidget {
  const FTextField({
    Key? key,
    TextEditingController? controller,
    FocusNode? focusNode,
    InputDecoration? decoration = const InputDecoration(),
    int? maxLength,
    bool obscureText = false,
    ValueChanged<String>? onChanged,
    TextInputType? keyboardType,
    int? maxLines = 1,
  }) : super(
          key: key,
          controller: controller,
          focusNode: focusNode,
          decoration: decoration,
          maxLength: maxLength,
          onChanged: onChanged,
          obscureText: obscureText,
          keyboardType: keyboardType,
          maxLines: maxLines,
        );
}
