import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

class FTextFormField extends TextFormField implements FWidget {
  FTextFormField({
    Key? key,
    TextEditingController? controller,
    String? initialValue,
    FocusNode? focusNode,
    bool autofocus = false,
    bool obscureText = false,
    FormFieldValidator<String>? validator,
    InputDecoration? decoration = const InputDecoration(),
    ValueChanged<String>? onChanged,
  }) : super(
          key: key,
          controller: controller,
          initialValue: initialValue,
          focusNode: focusNode,
          autofocus: autofocus,
          obscureText: obscureText,
          validator: validator,
          decoration: decoration,
          onChanged: onChanged,
        );
}
